Subject: [radext] FW: Comments on draft-ietf-radext-nai-01

From: "Jim Schaad" <[email-masked]>
Date: Fri, 18 Jan 2013 15:07:15 -0800

Since I used the wrong email address - forwarding

> -----Original Message-----
> From: Jim Schaad [mailto:[email-masked]]
> Sent: Friday, January 18, 2013 11:36 AM
> To: [email-masked]'
> Cc: [email-masked]
> Subject: Comments on draft-ietf-radext-nai-01
> 
> Some additional comments to be considered
> 
> 1.  I like the addition of the term "local" in section 1.1.  I wonder if
the
> following text should be added
> 
> "AAA entities not under the control of the client that "know" the locale
may
> have a different concept of that information than the client's locale."
> 
> I understand that this is basically a repeat of what is stated in section
2.6, but
> it might be a good addition.
> 
> 2.  In a follow up to my last set of comments:  Does the working group
feel
> there is any need to remove the restriction that there be at least one dot
in a
> utf8-realm.  Given the possibility of new top level domains being issued
such
> as "Walmart", what are the odds that those people are going to want to be
> able to use a NAI of the form joe@walmart for an NAI?
> 
> 3.  In section 2.8, if one is expected to use the utf8-realm with a
byte-for-
> byte comparison, then one needs to specify a canonicalization of those
sub-
> sections of the utf8-realm that are equivalent to A-labels.  That is
> "example.com" and "EXAMPLE.COM" should be routed to the same location
> because they are using A-Labels in the utf8-realm while "exαmple.com" and
> "EXΑMPLE.COM" (A and uppercase α have the same glyph) are not routed to
> the same location because they are using U-Labels in the utf8-realm.
> 
> 4.  In section 2.10, my understanding of the DNS terminology is different
than
> what is presented here.  In order for it to be a U-Label, the label must
have a
> non-ASCII character.  If the section consists only of ASCII characters
then it is
> an A-Label.  This means that the text in the first paragraph is incorrect
when
> saying the utf8-realm is not composed of A-labels.  I believe that the
correct
> sentence would be "As defined above, the "utf8-realm" portion as
> transported within the RADIUS User-Name attribute can be composed of
> both U-labels and A-labels."
> 
> Jim